Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FarEditor Class Reference
[FAR Manager plugin]

Inheritance diagram for FarEditor:

## Detailed Description

FAR Editor internal plugin structures.

Implements text parsing and different editor extended functions.

## Public Methods

| FarEditor (PluginStartupInfo *info, ParserFactory *pf)
| Creates FAR editor instance.
| ~FarEditor ()
| Drops this editor.
void | endJob (int lno)
String * | getLine (int lno)
void | setFileType (FileType *ftype)
| Changes current assigned file type.
FileType * | getFileType ()
| Returns currently selected file type.
void | chooseFileType (String *fname)
| Selects file type with it's extension and first lines.
void | setRegionMapper (RegionMapper *rs)
| Installs specified RegionMapper implementation.
void | matchPair ()
| Editor action: pair matching.
void | selectPair ()
| Editor action: pair selection.
void | selectBlock ()
| Editor action: pair selection with current block.
void | selectRegion ()
| Editor action: Selection of current region under cursor.
void | listFunctions ()
| Editor action: Lists fuctional region.
void | listErrors ()
| Editor action: Lists syntax errors in text.
void | updateHighlighting ()
| Invalidates current syntax highlighting.
void | selectEncoding ()
| Shows menu to select editor encoding.
int | editorEvent (int event, void *param)
| Handle passed FAR editor event.
int | editorInput (const INPUT_RECORD *ir)
| Dispatch editor input event.

## Member Function Documentation

void FarEditor::setRegionMapper | ( | RegionMapper * | rs | ) |

| Installs specified RegionMapper implementation. This class serves to request mapping of regions into real colors.

int FarEditor::editorEvent | ( | int | event,
|  | void * | param
| ) |

| Handle passed FAR editor event. pair brackets

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.